import { ICounter } from '../interfaces/icounter';
import { ISlide } from '../interfaces/islide';
import { PresTemplate } from '../interfaces/pres-template';
import { RootPresTemplate } from '../interfaces/root-pres-template';
import { ITemplate } from '../interfaces/itemplate';
import { SlideInfo } from '../types/xml-types';
import IArchive from '../interfaces/iarchive';
import { ArchiveParams } from '../types/types';
export declare class Template implements ITemplate {
    /**
     * Path to local file
     * @type string
     */
    location: string;
    /**
     * An alias name to identify template and simplify
     * @type string
     */
    name: string;
    /**
     * Node file buffer
     * @type InputType
     */
    file: any;
    /**
     * this.file will be passed to FileProxy
     * @type Archive
     */
    archive: IArchive;
    /**
     * Array containing all slides coming from Automizer.addSlide()
     * @type: ISlide[]
     */
    slides: ISlide[];
    /**
     * Array containing all counters
     * @type: ICounter[]
     */
    counter: ICounter[];
    creationIds: SlideInfo[];
    existingSlides: number;
    constructor(location: string, params: ArchiveParams);
    static import(location: string, params: ArchiveParams): PresTemplate | RootPresTemplate;
    setCreationIds(): Promise<SlideInfo[]>;
    appendSlide(slide: ISlide): Promise<void>;
    countExistingSlides(): Promise<void>;
    truncate(): Promise<void>;
    getSlideIdList(): Promise<Document>;
    initializeCounter(): Promise<void>;
    incrementCounter(name: string): number;
    count(name: string): number;
}
