import { Workbook } from '../types/types';
import { ChartAxisRange, ChartData } from '../types/chart-types';
import { XmlDocument, XmlElement } from '../types/xml-types';
export default class ModifyChartHelper {
    /**
     * Set chart data to modify default chart types.
     * See `__tests__/modify-existing-chart.test.js`
     */
    static setChartData: (data: ChartData) => (element: XmlDocument | XmlElement, chart?: XmlDocument, workbook?: Workbook) => void;
    /**
     * Set chart data to modify vertical line charts.
     * See `__tests__/modify-chart-vertical-lines.test.js`
     */
    static setChartVerticalLines: (data: ChartData) => (element: XmlDocument | XmlElement, chart?: Document, workbook?: Workbook) => void;
    /**
     * Set chart data to modify scatter charts.
     * See `__tests__/modify-chart-scatter.test.js`
     */
    static setChartScatter: (data: ChartData) => (element: XmlDocument | XmlElement, chart?: Document, workbook?: Workbook) => void;
    /**
     * Set chart data to modify combo charts.
     * This type is prepared for
     * first series: bar chart (e.g. total)
     * other series: vertical lines
     * See `__tests__/modify-chart-scatter.test.js`
     */
    static setChartCombo: (data: ChartData) => (element: XmlDocument | XmlElement, chart?: Document, workbook?: Workbook) => void;
    /**
     * Set chart data to modify bubble charts.
     * See `__tests__/modify-chart-bubbles.test.js`
     */
    static setChartBubbles: (data: ChartData) => (element: XmlDocument | XmlElement, chart?: Document, workbook?: Workbook) => void;
    /**
     * Set chart data to modify extended chart types.
     * See `__tests__/modify-existing-extended-chart.test.js`
     */
    static setExtendedChartData: (data: ChartData) => (element: XmlDocument | XmlElement, chart?: Document, workbook?: Workbook) => void;
    static setAxisRange: (range: ChartAxisRange) => (chart: XmlDocument) => void;
    static setAxisAttribute: (element: XmlElement, tag: string, value: string | number | boolean, attribute?: string) => void;
}
