import IArchive from '../interfaces/iarchive';
export declare type DefaultAttribute = {
    Extension: string;
    ContentType: string;
};
export declare type RelationshipAttribute = {
    Id: string;
    Type: string;
    Target: string;
};
export declare type SlideListAttribute = {
    id: (xml: XmlDocument) => number;
    'r:id': string;
};
export declare type OverrideAttribute = {
    PartName: string;
    ContentType: string;
};
export declare type XmlDocument = XMLDocument;
export declare type XmlElement = Element;
export declare type HelperElement = {
    archive: IArchive;
    assert?: (xml: XmlDocument) => void;
    clause?: (xml: XmlDocument, element?: XmlElement) => boolean;
    parent?: (xml: XmlDocument) => XmlElement;
    file: string;
    tag: string;
    attributes?: DefaultAttribute | OverrideAttribute | SlideListAttribute | RelationshipAttribute;
};
export declare type TemplateInfo = {
    name: string;
    slides: SlideInfo[];
};
export declare type SlideInfo = {
    id: number;
    number: number;
    info: TemplateSlideInfo;
    elements: ElementInfo[];
};
export declare type TemplateSlideInfo = {
    name: string;
};
export declare type ElementInfo = {
    name: string;
    type: string;
    id: string;
    position: {
        x: number;
        y: number;
        cx: number;
        cy: number;
    };
};
export declare type ModifyXmlCallback = (xml: XmlDocument | XmlElement, index?: number, archive?: IArchive) => void;
